##
# aims
# mod/action.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_action_init
#
# Register the accept and drop handlers
#
sub aimsmod_action_init
{
	aimsapi_registerHandler('accept', 'action_accept', 0, 1);
	aimsapi_registerHandler('drop', 'action_drop', 0, 1);
}

##
# aimsmod_action_accept
#
# $args The list of arguments
#
# Set the target to accept. Optionally set
# the chain as well.
#
sub aimsmod_action_accept
{
	my $args = shift;
	my $chain = $args->[0];
	if ($chain) { aimsapi_setBucket('chain', '-A '.uc($chain)); }
	aimsapi_setBucket('target', '-j ACCEPT');
}

##
# aimsmod_action_drop
#
# $args The list of arguments
#
# Set the target to drop. Optionaly set
# the chain as well.
#
sub aimsmod_action_drop
{
	my $args = shift;
	my $chain = $args->[0];
	if ($chain) { aimsapi_setBucket('chain', '-A '.uc($chain)); }
	aimsapi_setBucket('target', '-j DROP');
}

return 1;
