##
# aims
# mod/amfile.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_amfile_init
#
# Register the file access method
#
sub aimsmod_amfile_init
{
	aimsapi_registerAccessMethod('file', 'amfile');
}

##
# aimsmod_amfile
#
# $file The file to get the data from
#
sub aimsmod_amfile
{
	my $file = shift;
	
	if (! -f $file)
	{
		aims_err($E_FATAL_NOFILE, $file);
	}

	open(FLIST_IN, "<$file") || aims_err($E_FATAL_NOOPEN, $file);

	my $lines = [];
	while (<FLIST_IN>)
	{
		chomp;
		push(@{$lines}, $_);
	}
	close(FLIST_IN);

	return join(',', @$lines);
}

return 1;
