##
# aims
# mod/return.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_return_init
#
# Register the permute_return handler
#
sub aimsmod_return_init
{
	aimsapi_registerHandler('permute_return', 'return');
}

##
# aimsmod_return
#
# $inrule The tokenized rule
#
# Set known clauses to their opposites
#
sub aimsmod_return
{
	my $inrule = shift;
	my $newrule = [];
	my $return = 0;
	my $i = 0;
	foreach my $t (@$inrule)
	{
		if ($t =~ /return/)
		{
			$return = 1;
			splice(@$inrule, $i, 1);
			last;
		}
		$i++;
	}

	if ($return == 1)
	{
		$i = 0;
		foreach my $t (@$inrule)
		{
			if ($t eq 'ingress') { $newrule->[$i] = 'egress'; }
			elsif ($t eq 'egress') { $newrule->[$i] = 'ingress'; }
			elsif ($t eq 'from') { $newrule->[$i] = 'to'; }
			elsif ($t eq 'to') { $newrule->[$i] = 'from'; }
			elsif ($t eq 'input') { $newrule->[$i] = 'output'; }
			elsif ($t eq 'output') { $newrule->[$i] = 'input'; }
			elsif ($t eq 'in') { $newrule->[$i] = 'out'; }
			elsif ($t eq 'out') { $newrule->[$i] = 'in'; }
			else { $newrule->[$i] = $t; }
			$i++;
		}
		return $newrule;
	}
	else
	{
		return '';
	}
}

return 1;
